> ## Documentation Index
> Fetch the complete documentation index at: https://docs.microcrop.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke the API key

> x-api-key auth rejects the key with 401 afterwards. Reversible by rotating. ORG_ADMIN only.



## OpenAPI

````yaml /api-reference/openapi.json post /organizations/me/api-key/revoke
openapi: 3.1.0
info:
  title: MicroCrop Partner API
  version: 1.0.0
  description: >-
    Parametric crop & livestock insurance API for integrating partners. All
    requests authenticate with an organization API key in the `x-api-key`
    header.
servers:
  - url: https://app.microcrop.app/api
    description: Production (Base mainnet)
security:
  - apiKey: []
tags:
  - name: Farmers
  - name: Plots
  - name: Herds
  - name: Policies
  - name: Payments
  - name: Payouts
  - name: Organization
  - name: Determinations
paths:
  /organizations/me/api-key/revoke:
    post:
      tags:
        - Organization
      summary: Revoke the API key
      description: >-
        x-api-key auth rejects the key with 401 afterwards. Reversible by
        rotating. ORG_ADMIN only.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKeyStatusEnvelope'
components:
  schemas:
    ApiKeyStatusEnvelope:
      type: object
      properties:
        success:
          type: boolean
          example: true
        data:
          type: object
          properties:
            keyPrefix:
              type: string
              example: org_live_
            last4:
              type: string
              example: 9f21
            masked:
              type: string
              example: org_live_********9f21
            active:
              type: boolean
            rotatedAt:
              type: string
              format: date-time
              nullable: true
            createdAt:
              type: string
              format: date-time
              nullable: true
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````